jQuery(document).ready(function($){

	// Hide and show the Shortcode builder panel

	$('.' + nnr_of_shortcode.prefix + 'shortcode-builder').click(function(e){
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-box').show();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').show();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').addClass('fade in');
		e.preventDefault();
	});

	$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-close').click(function(e){
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-box').hide();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').hide();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
		e.preventDefault();
	});

	$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-add').click(function(e){
		e.preventDefault();

		var selected_text = tinyMCE.activeEditor.selection.getContent( {format : "text"} );

		if ( selected_text != '') {
			wp.media.editor.insert('<span data-optin-fire-custom-button="' + $('#' + nnr_of_shortcode.prefix + 'id').val() + '">' + selected_text + '</span>');
		} else {
			wp.media.editor.insert($('.' + nnr_of_shortcode.prefix + 'shortcode').html());
		}

		console.log();

		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-box').hide();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').hide();
		$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
	});

	$('body').on('click', function(e){
		if ($('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').is(e.target)) {
			$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-box').hide();
			$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').hide();
			$('.' + nnr_of_shortcode.prefix + 'shortcode-builder-container').removeClass('fade in');
		}
	});

	// Creating the shortcode

	var shortcode = '[nnr_optin_fire id=""]';

	$.each( $("." + nnr_of_shortcode.prefix + "shortcode-input"), function(key, value) {

		var regex = new RegExp('(' + $(this).data('shortcode') + '="(?:[^\\"]+|\\.)*")');

		var val = $(value).val();

		if (shortcode.match(regex)) {
			shortcode = shortcode.replace(regex , $(value).data('shortcode') + '="' + val + '"');
		}

		$("." + nnr_of_shortcode.prefix + "shortcode").html(shortcode);

	});

	$("." + nnr_of_shortcode.prefix + "shortcode-input").change(function(){

		var regex = new RegExp('(' + $(this).data('shortcode') + '="(?:[^\\"]+|\\.)*")');

		var val = $(this).val();

		if (shortcode.match(regex)) {
			shortcode = shortcode.replace(regex, $(this).data('shortcode') + '="' + val + '"');
		} else {
			shortcode = shortcode.replace(']', ' ' + $(this).data('shortcode') + '="' + val + '"]');
		}

		$("." + nnr_of_shortcode.prefix + "shortcode").html(shortcode);

	});

});