<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<?php

		// Display any messaages

		if (isset($_GET['message']) && $_GET['message'] != '') {

			$status = isset($_GET['status']) ? $_GET['status'] : 'warning';

			?>
			<div class="alert alert-<?php echo $status; ?> alert-dismissible" role="alert">
				<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<?php echo $_GET['message']; ?>
			</div>
			<?php

		}?>

		<h1 id="nnr-heading">
			<?php _e('Optins', self::$text_domain); ?> <small>
				<button class="<?php echo self::$prefix_dash; ?>add-optin nnr-heading-button-left btn btn-info pull-right" data-add="optin" data-toggle="modal" data-target="#<?php echo self::$prefix_dash; ?>optin-fire-type">
					<i class="fa fa-plus"></i> <?php _e('Add New', self::$text_domain); ?>
				</button>
			</small>
		</h1>

		<a class="<?php echo ( !isset( $_GET['status'] ) ? 'nnr-current-tab' : 'nnr-tab' ); ?>" href="<?php echo admin_url() . 'admin.php?page=' . self::$dashboard_page; ?>"> <?php _e('All', self::$text_domain); ?> <span class="<?php echo self::$prefix_dash . 'count'; ?>">(<?php echo $all_count; ?>)</span></a> |
		<a class="<?php echo ( isset( $_GET['status'] ) && $_GET['status'] == 'active' ? 'nnr-current-tab' : 'nnr-tab' ); ?>" href="<?php echo admin_url() . 'admin.php?page=' . self::$dashboard_page; ?>&status=active"> <?php _e('Active', self::$text_domain); ?> <span class="<?php echo self::$prefix_dash . 'count'; ?>">(<?php echo $active_count; ?>)</span></a> |
		<a class="<?php echo ( isset( $_GET['status'] ) && $_GET['status'] == 'inactive' ? 'nnr-current-tab' : 'nnr-tab' ); ?>" href="<?php echo admin_url() . 'admin.php?page=' . self::$dashboard_page; ?>&status=inactive"> <?php _e('Inactive', self::$text_domain); ?> <span class="<?php echo self::$prefix_dash . 'count'; ?>">(<?php echo $inactive_count; ?>)</span></a>

        <form method="GET">
        	<?php $nnrobots_optin_fire_list_table->prepare_items(); ?>
			<?php $nnrobots_optin_fire_list_table->display(); ?>
		</form>

		<!-- Modal Popup for Adding new Optin -->

		<div class="modal fade" id="<?php echo self::$prefix_dash; ?>optin-fire-type" tabindex="-1" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('Add New Optin', self::$text_domain); ?></h4>
					</div>
					<div class="modal-body">

						<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

							<div data-type="1" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Banner', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin <?php echo self::$prefix_dash; ?>create-optin-selected" data-type="1">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/banner.png" />
								</button>

							</div>

							<div data-type="2" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Popup', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="2">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/popup.png" />
								</button>

							</div>

							<div data-type="3" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Flyout', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="3">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/flyout.png" />
								</button>

							</div>

							<div data-type="4" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('In Post Content', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="4">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/in-post.png" />
								</button>

							</div>

							<div data-type="5" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Widget', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="5">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/widget.png" />
								</button>
							</div>

						</div>

					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button type="button" class="btn btn-info <?php echo self::$prefix_dash; ?>create-optin-button" data-dismiss="modal"><?php _e('Create', self:: $text_domain); ?></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

		<!-- Modal Popup for Adding new Variant -->

		<div class="modal fade" id="<?php echo self::$prefix_dash; ?>optin-fire-add-variant" tabindex="-2" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('Add New Variant', self::$text_domain); ?></h4>
					</div>
					<div class="modal-body <?php echo self::$prefix_dash; ?>add-optin-body">

						<h4 class="<?php echo self::$prefix_dash; ?>optin-type-heading" style="padding-top: 20px;"><?php _e('2. Optin Type', self::$text_domain); ?></h4>

						<hr/>

						<p><?php _e('You are able to test an Optin against a different type of Optin, but there are some types that do not work well with others. For example, you are not able to test a Popup against a Widget because Popups can be displayed sitewide, but Widget\'s cannot. Pairing Optins with the same display options keeps your data reliable.', self::$text_domain); ?></p>

						<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

							<div data-type="1" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Banner', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="1">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/banner.png" />
								</button>

							</div>

							<div data-type="2" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Popup', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="2">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/popup.png" />
								</button>

							</div>

							<div data-type="3" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Flyout', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="3">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/flyout.png" />
								</button>

							</div>

							<div data-type="4" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('In Post Content', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="4">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/in-post.png" />
								</button>

							</div>

							<div data-type="5" class="<?php echo self::$prefix_dash; ?>create-optin-container btn-group col-xs-6 col-md-4">
								<h4 class="text-center"><?php _e('Widget', self::$text_domain); ?></h4>
								<button class="col-xs-12 <?php echo self::$prefix_dash; ?>create-optin" data-type="5">
									<img src="<?php echo NNROBOTS_OPTIN_FIRE_PLUGIN_URL; ?>/img/icons/widget.png" />
								</button>
							</div>

						</div>

					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button type="button" class="btn btn-info <?php echo self::$prefix_dash; ?>create-variant-button" data-dismiss="modal"><?php _e('3. Create', self:: $text_domain); ?></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

		<!-- Modal Popup for the delete confirmation -->

		<div class="modal fade" id="<?php echo self::$prefix_dash; ?>optin-fire-delete" tabindex="-3" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('Delete Optin', self:: $text_domain); ?></h4>
					</div>
					<div class="modal-body">
						<p></p>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button id="modal-success" type="button" class="btn btn-danger"><?php _e('Delete', self:: $text_domain); ?></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

		<!-- Modal Popup for End Test -->

		<div class="modal fade" id="<?php echo self::$prefix_dash; ?>optin-fire-end-test" tabindex="-4" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('End Test - Please Choose a Winner to Activate', self:: $text_domain); ?></h4>
					</div>
					<div class="modal-body">

						<hr />
						<em><?php _e('Ending this test will:', self:: $text_domain); ?></em>

						<ul class="<?php echo self::$prefix_dash; ?>end-test-list">
							<li><em><?php _e('Set all optins to unique independent optins.', self:: $text_domain); ?></em></li>
							<li><em><?php _e('Deactivate all optins in this test.', self:: $text_domain); ?></em></li>
							<li><em><?php _e('Activate the chosen optin.', self:: $text_domain); ?></em></li>
						</ul>

					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button id="<?php echo self::$prefix_dash; ?>end-test-button" type="button" class="btn btn-info"><?php _e('End Test & Activate Winner', self:: $text_domain); ?> <i class="fa fa-long-arrow-right"></i></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

	</div>

	<?php require_once('footer.php'); ?>

</div>